"use strict";
layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','table','form'],function(){
    var $ = layui.jquery;
    var common = layui.common;
    //    引入表单
    var form = layui.form;

    //  初始化表格
    var layuiTable = common.layuiTable.render(layui.table,{
        elem    :   '#data_entity_table'
        ,url    :   '/device/mq/pagingQuery'
        ,cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'name', title: '服务器名称',align:'center' }
            , { field: 'host', title: '主机地址',align:'center',width:112 }
            , { field: 'port', title: '端口号',align:'center',width:72 }
            , { field: 'virtual', title: '数据库名称',align:'center' }
            , { field: 'user', title: '用户名',align:'center' }
            , { field: 'password', title: '密码',align:'center' }
            , { field: 'onLineStatus', title: '状态',templet: '#entity_is_enable',width:80,align:'center' }
            , { field: 'threads', title: '当前连接数',width:100,align:'center' }
            , { field: 'maxConnections', title: '最大连接数',width:100,align:'center' }
            , { field: 'createDate', align: 'center',width:160, title: '创建时间' }
            , { title: '操作', align: 'center',  toolbar: '#table-useradmin-webuser',width: 180 }
        ]]
        , page: true
    });

    //  操作栏事件绑定
    layui.table.on('tool(data_table_event)',function (obj) {
        switch (obj.event) {
            //  启用
            case 'start':
                $.ajax({
                    url     :   '/device/mq/start/' + obj.data.id,
                    success :   function (result) {
                        result.data ? layuiTable.reload() : layer.alert('启用失败');
                    }
                });
                break;
            //  停用
            case 'stop':
                layer.confirm('是否确认停用?', {icon: 7, title:'提示'},function(index) {
                    $.ajax({
                        url     :   '/device/mq/stop/' + obj.data.id,
                        success :   function (result) {
                            result.data ? layuiTable.reload() : layer.alert('停用失败');
                        }
                    });
                    layer.close(index);
                });
                break;
            //  修改
            case 'edit':
                layer.open({
                    type    :   2,
                    title   :   '修改队列服务器',
                    content :   '/device/mq/edit/' + obj.data.id,
                    area    :   ['600px','600px'],
                    maxmin  :   true
                });
                break;
            //  删除
            case 'delete':
                layer.confirm('是否确认删除?', {icon: 7, title:'提示'},function(index){
                    $.ajax({
                        url     :   '/device/mq/delete/' + obj.data.id,
                        success :   function(result){
                            result.data ? layuiTable.reload() : layer.alert('删除失败');
                        }
                    });
                    layer.close(index);
                });
                break;
            default:
                break;
        }
    });

    //监听服务器添加
    form.on('submit(add)', function(){
        layer.open({
            type    :   2,
            title   :   '添加队列服务器',
            content :   '/device/mq/add',
            area    :   ['600px','600px'],
            maxmin  :   true
        });
    });

});